> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents

> List agents available to your organization.

Agent status reflects whether an agent has ever been published. `published`
agents have a live published version. `draft` agents have not been
published yet.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/profound/openapi.documented.yml get /v1/agents
openapi: 3.1.0
info:
  title: External API
  version: 60df76cc2b9752c279276872b19310c02da38378
servers:
  - url: https://api.tryprofound.com
    description: Production Server
security: []
paths:
  /v1/agents:
    get:
      tags:
        - Agents
      summary: List agents
      description: >-
        List agents available to your organization.


        Agent status reflects whether an agent has ever been published.
        `published`

        agents have a live published version. `draft` agents have not been

        published yet.
      operationId: list_agents_v1_agents_get
      parameters:
        - name: statuses
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/ListAgentsStatusFilter'
              - type: 'null'
            description: >-
              Optional status filter. Use `published` to list agents that have a
              live published version, or `draft` to list agents that have not
              been published yet. Defaults to `published`.
            title: Statuses
          description: >-
            Optional status filter. Use `published` to list agents that have a
            live published version, or `draft` to list agents that have not been
            published yet. Defaults to `published`.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            default: 100
            title: Limit
        - name: next_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Next Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAgentsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Profound from '@profoundai/client';

            const client = new Profound({
              apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
            });

            const agents = await client.agents.list();

            console.log(agents.data);
        - lang: Python
          source: |-
            import os
            from profound import Profound

            client = Profound(
                api_key=os.environ.get("PROFOUND_API_KEY"),  # This is the default and can be omitted
            )
            agents = client.agents.list()
            print(agents.data)
components:
  schemas:
    ListAgentsStatusFilter:
      type: string
      enum:
        - published
        - draft
      title: ListAgentsStatusFilter
      description: Statuses you can use to filter the list agents response.
    ListAgentsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Agent'
          type: array
          title: Data
          description: Agents returned for this page.
        pagination:
          $ref: '#/components/schemas/CursorPagination'
          description: Cursor pagination details for this response.
      additionalProperties: false
      type: object
      required:
        - data
      title: ListAgentsResponse
      description: Paginated list of agents.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Agent:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique ID for the agent.
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: Unique ID of the organization that owns the agent.
        name:
          type: string
          title: Name
          description: Display name of the agent.
        status:
          $ref: '#/components/schemas/AgentStatus'
          description: Current status of the agent.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the agent was created.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Short description of the agent, if provided.
      additionalProperties: false
      type: object
      required:
        - id
        - organization_id
        - name
        - status
        - created_at
      title: Agent
      description: Summary information for an agent.
    CursorPagination:
      properties:
        limit:
          type: integer
          maximum: 50000
          exclusiveMinimum: 0
          title: Limit
          description: >-
            Maximum number of results to return. Default is 10,000, maximum is
            50,000.
          default: 10000
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Token for the next page, if more results are available.
      additionalProperties: false
      type: object
      title: CursorPagination
      description: Cursor-based pagination metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentStatus:
      type: string
      enum:
        - draft
        - published
        - unknown
      title: AgentStatus
      description: Current availability status for an agent.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````